<template>
  <require from="./favorito.css"></require>

  <div class="container-panel favoritos-section w-100">
    <div class="container-header">
      <h1>Gerenciar favoritos</h1>
      <div class="cotainer-header-actions">
        <div class="actions-left">
        </div>
        <button type="button" class="btn btn-outline-secondary btn-sm m-1" click.delegate="abrirModal()">
          Incluir favorito
        </button>
      </div>
    </div>
    <div class="container-body" id="table-contas">
      <div class="row h-100">
        <div class="col-sm-12 col-md-6 favorito-card">
          <div class="favorito-card-header">
            <span class="title">Favoritos para Over</span>
            <span class="subtitle">Aqui estão seus times favoritos que fazem muitos gols.</span>
          </div>
          <div class="favorito-card-body" id="container-over">
            <input keyup.delegate="pesquisarOver()" type="text" value.bind="pesquisaOver" placeholder="Pesquisar..." show.bind="listaFavoritoOver.length > 0" />
            <div class="favorito-list" show.bind="listaFavoritoOver.length > 0">
              <div show.bind="fav.visivel" class="favorito-item" repeat.for="fav of listaFavoritoOver">
                <span class="title">${fav.nome}</span>
                <div class="favorito-actions">
                  <button type="button" class="btn btn-danger btn-sm" click.delegate="confirmarRemoverFavorito(fav,'container-over')" value="REMOVER">
                    <i class="fa-solid fa-trash-can"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="favorito-list favorito-list-empty" show.bind="listaFavoritoOver.length == 0">
              <span class="title">Nenhum favorito para over.</span>
            </div>
          </div>
        </div>
        <div class="col-sm-12 col-md-6 favorito-card">
          <div class="favorito-card-header">
            <span class="title">Favoritos para Under</span>
            <span class="subtitle">Aqui estão seus times favoritos que fazem poucos gols.</span>
          </div>
          <div class="favorito-card-body" id="container-under">
            <input keyup.delegate="pesquisarUnder()" type="text" value.bind="pesquisaUnder" placeholder="Pesquisar..." show.bind="listaFavoritoUnder.length > 0" />
            <div class="favorito-list" show.bind="listaFavoritoUnder.length > 0">
              <div show.bind="fav.visivel" class="favorito-item" repeat.for="fav of listaFavoritoUnder">
                <span class="title">${fav.nome}</span>
                <div class="favorito-actions">
                  <button type="button" class="btn btn-danger btn-sm" click.delegate="confirmarRemoverFavorito(fav,'container-under')" value="REMOVER">
                    <i class="fa-solid fa-trash-can"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="favorito-list favorito-list-empty" show.bind="listaFavoritoUnder.length == 0">
              <span class="title">Nenhum favorito para under.</span>
            </div>
          </div>
        </div>
      </div>
      </div>
    </div>
  </div>


  <div class="modal fade" id="modal-pesquisa" data-keyboard="false" tabindex="-1" aria-labelledby="modal-exampleLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content modal-search-favorite">
        <div class="modal-header pt-2 pb-1 px-3">
          <h4 class="modal-title" id="modalNewAccountLabel">Pesquisa de times</h4>
          <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body row" id="container-escolha-fav">
          <input on-enter-key="callback.call: pesquisar()" type="text" id="nomeTime" value.bind="nomeTime"
                 placeholder="Informe o nome do time..." class="input-search-favorito">
          <button type="button" style="width: 23%;" class="btn btn-outline-secondary btn-sm m-1" 
          click.delegate="pesquisar()">Pesquisar</button>

            <div class="search-favorite-content table-responsive" style="padding-top: 1rem;">
              <table class="table table-striped table-hover table-sm table-search-favorito">
                <thead class="thead-dark">
                  <tr>
                    <th class="nome-col">NOME</th>
                    <th class="action-col">TIPO DE ENTRADA</th>
                  </tr>
                </thead>
                <tbody>
                  <tr repeat.for="t of listaTimes">
                    <td class="nome-col">${t.nome}</td>
                    <td class="action-col">
                      <label><input type="checkbox" checked.bind="t.under"> Under</label>
                      <label><input type="checkbox" checked.bind="t.over"> Over</label>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
        </div>
        <div class="modal-footer p-0">
          <button id="btnFecharModalTelegram" type="button" class="btn btn-secondary" data-bs-dismiss="modal"
            id="btn-odds-close">Fechar</button>
          <button type="button" class="btn btn-primary" click.delegate="salvarFavoritos()">Salvar favoritos</button>
        </div>
      </div>
    </div>
  </div>

</template>
